﻿using UnityEngine;
using System.Collections;

public class FlyControl : MonoBehaviour {
	public float speed = 1.0f;
	public Transform spiders;
	float t = 0;
	void Start () {	}
	void Update () {
		int numSpiders = spiders.childCount;
		Vector3[] keys = new Vector3[numSpiders];
		for (int i = 0; i  < numSpiders; ++i)
			keys [i] = spiders.GetChild(i).transform.position;

		float dt = Time.deltaTime;
		if (speed < 0) speed = 0;
		t += speed * dt;
		int numKeys = keys.Length;
		if (t >= numKeys) t -= numKeys;
		int key0 = (int)t;
		int key1 = (key0 + 1) % (numKeys);
		float st = t - key0; //0-1
		Vector3 pos = keys[key1] * st + keys[key0] * (1.0f - st);
		transform.position = pos;
	}
}
